WSNotification::Types::FilterType(3pm)

NAME
WSNotification::Types::FilterType

DESCRIPTION
Perl data type class for the XML Schema defined complexType FilterType from the namespace http://docs.oasis-open.org/wsn/b-2.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TopicExpression

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   MessageContent

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::FilterType
   TopicExpression =>  { # WSNotification::Types::TopicExpressionType
   },
   MessageContent =>  { # WSNotification::Types::QueryExpressionType
   },
 },

AUTHOR
Generated by SOAP::WSDL